> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1consumers complete transfer phone



## OpenAPI

````yaml https://consumer-ms.supergasbras.app/swagger/v1/swagger.json put /v1/consumers/{consumerId}/complete-transfer-phone
openapi: 3.0.1
info:
  title: CTech Consumer
  description: Service responsible for handling Consumer version 1.0
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /v1/consumers/{consumerId}/complete-transfer-phone:
    put:
      tags:
        - Consumers
      parameters:
        - name: consumerId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: deviceId
          in: header
          schema:
            type: string
        - name: platform
          in: header
          schema:
            type: string
        - name: appVersion
          in: header
          schema:
            type: string
        - name: deviceModel
          in: header
          schema:
            type: string
        - name: api-version
          in: query
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CompleteTransferPhoneRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/CompleteTransferPhoneRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CompleteTransferPhoneRequest'
      responses:
        '200':
          description: Success
components:
  schemas:
    CompleteTransferPhoneRequest:
      type: object
      properties:
        token:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: JWT Authorization header using the Bearer scheme.
      scheme: Bearer
      bearerFormat: JWT

````